Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class LineStyle

    Object
      CodeList<E>
          SimpleEnumerationType<LineStyle>
              LineStyle

All Implemented Interfaces:
  Serializable, Comparable<LineStyle>

    public class LineStyle

extends SimpleEnumerationType<LineStyle>

Indicate the various enumerations of drawing a line. This class defines static constants for all of the standard choices. Depending on the choice of line style, the current foreground color, and background color may affect the appearance of an object.

An implementation is not required to implement the entire list of available line styles. At runtime, the list of implemented line styles can be retrieved from a `DisplayCapabilities` object (that was itself retrieved from a `Canvas`). An implementation may also implement other line styles not listed here.

NOTE: Two different implementations may have line styles with the same name, but use different `LineStyle` instances. If clients need to use the line style name to find a line style they should search the array returned by `getSupportedLineStyles()` from the `DisplayCapabilities` instance associated with the correct provider.

This list was compiled by examining the behavior of various software packages. Where possible, a reference document is given. For others, a description of the style or an indication of the software where the style can be seen is given.

See Also:
  Serialized Form

Field Summary
`static LineStyle` | `DOUBLE` The line should be drawn as double parallel lines.
`static LineStyle` | `SINGLE` The line should be drawn as a single line.

Constructor Summary
`protected` | `LineStyle(String name, String description)` Construct a new LineStyle with the give name and description.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static LineStyle[]` | `values()` Returns the list of `LineStyle`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SINGLE

    public static final LineStyle SINGLE

  The line should be drawn as a single line.

### DOUBLE

    public static final LineStyle DOUBLE

  The line should be drawn as double parallel lines.

Constructor Detail

### LineStyle

    protected LineStyle(String name,
                        String description)

  Construct a new LineStyle with the give name and description. This constructor should only be used to make the static constants in this class or by a provider subclasses to create implementation specific styles that can be accessed by `DisplayCapabilities.getSupportedLineStyles()`.

  Parameters:
    `name` - a String defining the name of the fill pattern.
    `description` - a String describing the pattern.

Method Detail

### values

    public static LineStyle[] values()

  Returns the list of `LineStyle`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<LineStyle>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.